## org.eclipse.jetty.http.security
Class UnixCrypt

    java.lang.Object
      org.eclipse.jetty.http.security.UnixCrypt

    public class UnixCrypt

extends java.lang.Object

Unix Crypt. Implements the one way cryptography used by Unix systems for simple password protection.

Version:
  $Id: UnixCrypt.java,v 1.1 2005/10/05 14:09:14 janb Exp $
Author:
  Greg Wilkins (gregw)

Method Summary
`static java.lang.String` `crypt(java.lang.String key, java.lang.String setting)` Encrypts String into crypt (Unix) code.
`static void` `main(java.lang.String[] arg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### crypt

    public static java.lang.String crypt(java.lang.String key,
                                         java.lang.String setting)

  Encrypts String into crypt (Unix) code.

  Parameters:
    `key` - the key to be encrypted
    `setting` - the salt to be used
  Returns:
    the encrypted String

### main

    public static void main(java.lang.String[] arg)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.